> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/objects-schema/partner-program-object.md).

# Partner Program Object

### Example

```json
{
  "uuid": "partner_program_45e5187ede44",
  "publication": {
    "uuid": "pub_810f4c8c08cd",
    "name": "The Pour Over",
    "logo" : "https://dash.sparkloop.app/rails/active_storage/representations/stamp.jpeg",
    "description": "The day's biggest news paired with foundational Biblical principles. Join over 250,000 delighted subscribers!",
    "url": "https://www.thepourover.org/",
    "send_frequency": "1-2x per month",
    "language": "English",
    "categories": ["religion", "politics", "lifestyle"]
  },
  "status": "active",
  "terms": null,
  "resources_url": null,
  "redirect_url": "https://www.thepourover.org/",
  "thankyou_page_url": "https://www.thepourover.org/thank-you",
  "cpa":2.0,
  "referral_pending_duration": 10,
  "geo_restrictions": {
    "allow_worldwide_referrals": false,
    "allowed_countries": ["GB", "CA"],
    "blocked_countries": [],
    "allowed_regions": []
  },
  "ideal_subscriber": "They should have an active interest in reading the Bible",
  "expected_earning_per_referral": "$3",
  "screening_strictness": "not_enough_data",
  "expected_referral_confirmation_rate": 75,
  "requires_approval": true,
  "pilot_phase": true,
  "created_at": "2022-11-23T15:04:36.143Z"
}
```

<table><thead><tr><th width="217">Property</th><th width="140.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>uuid</td><td>string</td><td>the unique ID of the partner program</td></tr><tr><td>publication</td><td>object</td><td>the partner program's publication. The object includes the publication's UUID, name, description, URL, send_frequency, language and categories</td></tr><tr><td>status</td><td>string</td><td>the status of the partner program</td></tr><tr><td>terms</td><td>string</td><td>custom terms and conditions of the publication</td></tr><tr><td>resources_url</td><td>string</td><td>the URL of the publication's resources like brand assets, testimonials, etc</td></tr><tr><td>redirect_url</td><td>string</td><td>the URL people are redirected to when they click on the partner link</td></tr><tr><td>thankyou_page_url</td><td>string</td><td>the URL people are redirected to when they click on a magic link</td></tr><tr><td>cpa</td><td>float</td><td>how much this partner program pays per confirmed subscriber</td></tr><tr><td>referral_pending_duration</td><td>integer</td><td>how many days subscribers have to stayed subscribed before they are confirmed. </td></tr><tr><td>geo_restrictions</td><td>object</td><td><p>the geo-restrictions applied to this partner program. The object includes:</p><ul><li>allow_worldwide_referrals (boolean)</li><li>allowed_countries (array) -> which countries are allowed (Alpha-2 ISOCODE)</li><li>blocked_countries (array) -> which countries are blocked (Alpha-2 ISOCODE)</li><li>allowed_regions (array) -> allowed regions (states) in the US (Alpha-2 ISOCODE) (available only if the allowed country is the US)</li></ul><p></p></td></tr><tr><td>screening_strictnesss</td><td>string</td><td>how strict is the screening of this partner program<br><br>returns exceptionally_strict/strict/fair/very_fair <br>when there is enough data <br><br>otherwise returns not_enough_data </td></tr><tr><td>expected_referral_confirmation_rate</td><td>integer</td><td>the confirmation rate a good-fit partner should expect as a % (0-100) </td></tr><tr><td>expected_earning_per_referral</td><td>string</td><td>the amount of earnings expected per referral </td></tr><tr><td>ideal_subscriber</td><td>string </td><td>what type of subscribers this partner program is looking for</td></tr><tr><td>requires_approval</td><td>boolean </td><td><p></p><p>If the partner program requires approval</p><p></p><p><em><strong>Note:</strong> Only available in single partner program API request</em> </p></td></tr><tr><td>pilot_phase</td><td>boolean</td><td>if the partner program has pilot phase</td></tr><tr><td>created_at</td><td>timestamp</td><td>the date the partner program was created</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sparkloop.app/api-v2/objects-schema/partner-program-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
